12

I received this error after trying to download the icedtea plugin. After trying

sudo apt-get upgrade

I got the same exact error:

Preconfiguring packages ...
dpkg: unrecoverable fatal error, aborting:
 unable to open files list file for package `linux-sound-base': No such device or address
E: Sub-process /usr/bin/dpkg returned an error code (2)

I've already tried looking for solutions, but each one seems to be unique to the issue. Any suggestions?

  • Please add the output of cat /var/lib/dpkg/info/linux-sound-base.info – squareborg Mar 2 '15 at 16:27
  • cat: /var/lib/dpkg/info/linux-sound-base.info: No such file or directory – TheUnicornCow Mar 4 '15 at 0:20
8

Try first:

sudo rm /var/lib/dpkg/available 
sudo touch /var/lib/dpkg/available  
sudo sh -c 'for i in /var/lib/apt/lists/*_Packages; do dpkg --merge-avail "$i"; done'

Dangerous, if previous instruction does not solve the problem...

sudo dpkg --configure -a
sudo apt-get -f install
sudo apt-get clean
sudo apt-get update && sudo apt-get upgrade

Last may cause huge traffic load.

| improve this answer | |
  • 1
    Tried that, but I still got the same error. Should I paste something from the terminal? – TheUnicornCow Mar 2 '15 at 15:11
  • 1
    I did get an error "rm: cannot remove ‘/var/cache/apt/archives/partial’: Is a directory". Updated and upgraded but still received the same error – TheUnicornCow Mar 2 '15 at 15:18
  • I got an error "ls: cannot access /var/cashe/apt/archives: No such file or directory" which kind of concerned me. I go back a bit to find that /var/cashe doesn't exist. I don't have anything terribly important saved on the hard drive, would it just be easier to reinstall lubuntu? – TheUnicornCow Mar 2 '15 at 15:27
  • 2
    Please explain why have you suggested sudo rm /var/cache/apt/archives/*? – heemayl Mar 2 '15 at 15:38
  • @heemayl @user1940477 clean actually does that.. But i was not right, you should not do that, as people on the net say. SORRY – Croll Mar 2 '15 at 21:04
4

I know this is an old post but I got the same error. I fixed the problem with this command:

sudo dpkg --configure -a
| improve this answer | |
0

I've Tried this from a German link:

Downlad and start available.ksh. Then :

sudo apt-get update && sudo apt-get dist-upgrade
sudo dpkg --clear-avail
sudo apt-get update && sudo apt-get dist-upgrade

(Source)

| improve this answer | |

Not the answer you're looking for? Browse other questions tagged or ask your own question.